//------------------------------------------------------------------------------
// Lamp : Open source game middleware
// Copyright (C) 2004  Junpei Ohtani ( Email : junpee@users.sourceforge.jp )
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

/** @file
 * カプセル距離テスト実装
 * @author Junpee
 */

#include "Test/stdafx.h"
#include "Geometry/Distance/CapsuleDistanceTest.h"

//------------------------------------------------------------------------------
// コンストラクタ
CapsuleDistanceTest::CapsuleDistanceTest(String name) :
	TestCase(name){
}
//------------------------------------------------------------------------------
// テストスィートの取得
Test* CapsuleDistanceTest::suite(){
	TestSuite* suite = new TestSuite("CapsuleDistanceTest");
	suite->addTest(new TestCaller(CapsuleDistanceTest, testPoint));
	suite->addTest(new TestCaller(CapsuleDistanceTest, testCapsule));
	suite->addTest(new TestCaller(CapsuleDistanceTest, testCone));
	suite->addTest(new TestCaller(CapsuleDistanceTest, testLine));
	suite->addTest(new TestCaller(CapsuleDistanceTest, testOrientedBox));
	suite->addTest(new TestCaller(CapsuleDistanceTest, testPlane));
	suite->addTest(new TestCaller(CapsuleDistanceTest, testRay));
	suite->addTest(new TestCaller(CapsuleDistanceTest, testSegment));
	suite->addTest(new TestCaller(CapsuleDistanceTest, testSphere));
	suite->addTest(new TestCaller(CapsuleDistanceTest, testTriangle));
	return suite;
}
//------------------------------------------------------------------------------
// 点テスト
void CapsuleDistanceTest::testPoint(){
}
//------------------------------------------------------------------------------
// カプセルテスト
void CapsuleDistanceTest::testCapsule(){
}
//------------------------------------------------------------------------------
// コーンテスト
void CapsuleDistanceTest::testCone(){
}
//------------------------------------------------------------------------------
// ラインテスト
void CapsuleDistanceTest::testLine(){
}
//------------------------------------------------------------------------------
// 指向性ボックステスト
void CapsuleDistanceTest::testOrientedBox(){
}
//------------------------------------------------------------------------------
// 平面テスト
void CapsuleDistanceTest::testPlane(){
}
//------------------------------------------------------------------------------
// レイテスト
void CapsuleDistanceTest::testRay(){
}
//------------------------------------------------------------------------------
// セグメントテスト
void CapsuleDistanceTest::testSegment(){
}
//------------------------------------------------------------------------------
// 球テスト
void CapsuleDistanceTest::testSphere(){
}
//------------------------------------------------------------------------------
// 三角テスト
void CapsuleDistanceTest::testTriangle(){
}
//------------------------------------------------------------------------------
